Container Registry
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of Container Registry service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.1 | CURRENT | - |
| 1.0 | DEPRECATED | 20260630 |
OpenAPI URL
https://scr.{region}.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
API Version History
1.1
Container Registry has been updated to version 1.1.
Changes
- [Updated]
POST /repositories - The following field has been added to the request.lifecycle_policyoutdated_rule_tag_expression
- [Updated]
GET /images/{image_id} - The following field has been added to the response.lifecycle_policyoutdated_rule_tag_expression
- [Updated]
GET /images/{image_id}/lifecycle-policy/preview - The following field has been added to the response.outdated_rule_tag_expression
- [Updated]
GET /repositories/{repository_id} - The following field has been added to the response.lifecycle_policyoutdated_rule_tag_expression
- [Updated]
PUT /images/{image_id}/lifecycle-policy - The following field has been added to the request.outdated_rule_tag_expression
- [Updated]
PUT /repositories/{repository_id}/lifecycle-policy - The following field has been added to the request.outdated_rule_tag_expression
1.0
Container Registry version 1.0 has been released.
Changes
- [New]
GET /container-registries/check-duplication/name - Check Registry Name Duplication API has been added. - [New]
GET /repositories/check-duplication/name - Check Repository Name Duplication API has been added. - [New]
PUT /tagses/{tags_id}/check-vulnerability - Check Tags Vulnerability API has been added. - [New]
POST /container-registries - Create Registry API has been added. - [New]
POST /repositories - Create Repository API has been added. - [New]
DELETE /images/{image_id} - Delete Image API has been added. - [New]
DELETE /container-registries/{registry_id} - Delete Registry API has been added. - [New]
DELETE /repositories/{repository_id} - Delete Repository API has been added. - [New]
DELETE /tagses/{tags_id} - Delete Tags API has been added. - [New]
DELETE /tagses - Delete Tagses API has been added. - [New]
GET /tagses/{tags_id}/download/manifest - Download Manifest API has been added. - [New]
GET /container-registries/connectable-resources - List Connectable Resources API has been added. - [New]
GET /repositories/{repository_id}/images - List Images API has been added. - [New]
GET /container-registries - List Registries API has been added. - [New]
GET /container-registrie/{registry_id}/repositories - List Repositories API has been added. - [New]
GET /images/{image_id}/tagses - List tagses API has been added. - [New]
POST /images/{image_id}/lifecycle-policy/preview - Run Image Lifecycle Policy Preview API has been added. - [New]
GET /images/{image_id} - Show Image API has been added. - [New]
GET /images/{image_id}/lifecycle-policy/preview - Show Image Lifecycle Policy Preview API has been added. - [New]
GET /container-registries/{registry_id} - Show Registry API has been added. - [New]
GET /repositories/{repository_id} - Show Repository API has been added. - [New]
GET /tagses/{tags_id} - Show Tags API has been added. - [New]
GET /tagses/{tags_id}/packages - Show Tags Packages API has been added. - [New]
GET /tagses/{tags_id}/secrets - Show Tags Secrets API has been added. - [New]
GET /tagses/{tags_id}/vulnerabilities - Show Tags Vulnerabilities API has been added. - [New]
PUT /images/{image_id}/description - Update Image Description API has been added. - [New]
PUT /images/{image_id}/lifecycle-policy - Update Image Lifecycle Policy API has been added. - [New]
PUT /images/{image_id}/lock-policy - Update Image Lock Policy API has been added. - [New]
PUT /images/{image_id}/pull-policy - Update Image Pull Policy API has been added. - [New]
PUT /images/{image_id}/scan-policy - Update Image Scan Policy API has been added. - [New]
PUT /container-registries/{registry_id}/private-acl - Update Pricate Acl API has been added. - [New]
PUT /container-registries/{registry_id}/public-acl - Update Public Acl API has been added. - [New]
PUT /container-registries/{registry_id}/enable-public-endpoint - Update Public Endpoint Enabled API has been added. - [New]
PUT /repositories/{repository_id}/description - Update Repository Description API has been added. - [New]
PUT /repositories/{repository_id}/lifecycle-policy - Update Repository Lifecycle Policy API has been added. - [New]
PUT /repositories/{repository_id}/lock-policy - Update Repository Lock Policy API has been added. - [New]
PUT /repositories/{repository_id}/pull-policy - Update Repository Pull Policy API has been added. - [New]
PUT /repositories/{repository_id}/scan-policy - Update Repository Scan Policy API has been added. - [New]
PUT /tagses/{tags_id}/lock-policy - Update Tags Lock Policy API has been added.
1 - APIs
1.1 - Check Registry Name Duplication
1.1.1 - 1.1
get /v1/container-registries/check-duplication/name
Description
check registry name duplication
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | name required | Registry name Example : sample
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckDuplicationResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/container-registries/check-duplication/name?name={name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
1.1.2 - 1.0
get /v1/container-registries/check-duplication/name
Description
check registry name duplication
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | name required | Registry name Example : sample
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckDuplicationResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/container-registries/check-duplication/name?name={name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
1.2 - Check Repository Name Duplication
1.2.1 - 1.1
get /v1/repositories/check-duplication/name
Description
check repository name duplication
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| query | name required | Repository name Example : sample
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckDuplicationResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/check-duplication/name?registry_id={registry_id}&name={name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
1.2.2 - 1.0
get /v1/repositories/check-duplication/name
Description
check repository name duplication
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| query | name required | Repository name Example : sample
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | CheckDuplicationResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/check-duplication/name?registry_id={registry_id}&name={name}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
1.3 - Check Tags Vulnerability
1.3.1 - 1.1
put /v1/tagses/{tags_id}/check-vulnerability
Description
check tags vulnerability
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/check-vulnerability
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
1.3.2 - 1.0
put /v1/tagses/{tags_id}/check-vulnerability
Description
check tags vulnerability
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/check-vulnerability
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
1.4 - Create Registry
1.4.1 - 1.1
post /v1/container-registries
Description
create registry
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/container-registries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"name": "sample",
"private_acl_enabled": true,
"private_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"public_acl_enabled": true,
"public_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"public_endpoint_enabled": true,
"public_visible_enabled": true,
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 201
{
"id": "rpqtmqgec3174541bbf77eecf2cd3585",
"message": "Carpe diem.",
"state": "Running"
}
1.4.2 - 1.0
post /v1/container-registries
Description
create registry
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
Example HTTP request
Request path
/v1/container-registries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"name": "sample",
"private_acl_enabled": true,
"private_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"public_acl_enabled": true,
"public_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"public_endpoint_enabled": true,
"public_visible_enabled": true,
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 201
{
"id": "rpqtmqgec3174541bbf77eecf2cd3585",
"message": "Carpe diem.",
"state": "Running"
}
1.5 - Create Repository
1.5.1 - 1.1
post /v1/repositories
Description
create repository
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | RepositoryCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"description": "Carpe diem.",
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"outdated_rule_tag_expression": "*",
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
},
"lock_policy": {
"locked": true
},
"name": "sample",
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
},
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
},
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 201
{
"id": "e5611ca6c1484df480668c5adce8b078",
"message": "Carpe diem.",
"state": "Active"
}
1.5.2 - 1.0
post /v1/repositories
Description
create repository
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | RepositoryCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"description": "Carpe diem.",
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
},
"lock_policy": {
"locked": true
},
"name": "sample",
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
},
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
},
"tags": [
{
"key": "",
"value": ""
}
]
}
Example HTTP response
Response 201
{
"id": "e5611ca6c1484df480668c5adce8b078",
"message": "Carpe diem.",
"state": "Active"
}
1.6 - Delete Image
1.6.1 - 1.1
delete /v1/images/{image_id}
Description
delete image
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
| 423 | Locked | None |
Example HTTP request
Request path
/v1/images/{image_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 202
1.6.2 - 1.0
delete /v1/images/{image_id}
Description
delete image
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
| 423 | Locked | None |
Example HTTP request
Request path
/v1/images/{image_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 202
1.7 - Delete Registry
1.7.1 - 1.1
delete /v1/container-registries/{registry_id}
Description
delete registry
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 202
1.7.2 - 1.0
delete /v1/container-registries/{registry_id}
Description
delete registry
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 202
1.8 - Delete Repository
1.8.1 - 1.1
delete /v1/repositories/{repository_id}
Description
delete repository
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 202
1.8.2 - 1.0
delete /v1/repositories/{repository_id}
Description
delete repository
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 202
1.9 - Delete Tags
1.9.1 - 1.1
delete /v1/tagses/{tags_id}
Description
delete tags
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| body | body required |
| TagDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
| 423 | Locked | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"tag_names": "[\"sample\"]"
}
Example HTTP response
Response 204
1.9.2 - 1.0
delete /v1/tagses/{tags_id}
Description
delete tags
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| body | body required |
| TagDeleteRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
| 423 | Locked | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"tag_names": "[\"sample\"]"
}
Example HTTP response
Response 204
1.10 - Delete Tagses
1.10.1 - 1.1
delete /v1/tagses
Description
delete tagses
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
| 423 | Locked | None |
Example HTTP request
Request path
/v1/tagses
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"tags_ids": "[\"b48210c7a226460fa15b6e3e221b30b0\"]"
}
Example HTTP response
Response 202
1.10.2 - 1.0
delete /v1/tagses
Description
delete tagses
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
| 423 | Locked | None |
Example HTTP request
Request path
/v1/tagses
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"tags_ids": "[\"b48210c7a226460fa15b6e3e221b30b0\"]"
}
Example HTTP response
Response 202
1.11 - Download Manifest
1.11.1 - 1.1
get /v1/tagses/{tags_id}/download/manifest
Description
download manifest file
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/download/manifest
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
1.11.2 - 1.0
get /v1/tagses/{tags_id}/download/manifest
Description
download manifest file
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/download/manifest
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
1.12 - List Connectable Resources
1.12.1 - 1.1
get /v1/container-registries/connectable-resources
Description
get connectable domains
State
ACTIVE (CURRENT)
Responses
Example HTTP request
Request path
/v1/container-registries/connectable-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"count": 20,
"resources": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"id": "558496f6c49d43459e61e191fb3c08fe",
"name": "sample",
"private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
"public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
"type": "container-registry"
}
]
}
1.12.2 - 1.0
get /v1/container-registries/connectable-resources
Description
get connectable domains
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Responses
Example HTTP request
Request path
/v1/container-registries/connectable-resources
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"count": 20,
"resources": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"id": "558496f6c49d43459e61e191fb3c08fe",
"name": "sample",
"private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
"public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
"type": "container-registry"
}
]
}
1.13 - List Images
1.13.1 - 1.1
get /v1/repositories/{repository_id}/images
Description
get images
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | name optional | Image name Example : sample
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}/images
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"count": 20,
"images": [
{
"created_at": "2024-08-15T13:05:09.701645823+09:00",
"id": "5b5ed4f2881a440583536fc1a8c39a28",
"modified_at": "2024-08-16T16:06:09.701645823+09:00",
"name": "sample",
"private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817",
"public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817",
"pull_count": 20,
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"repository_id": "e5611ca6c1484df480668c5adce8b078",
"state": "Active"
}
]
}
1.13.2 - 1.0
get /v1/repositories/{repository_id}/images
Description
get images
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | name optional | Image name Example : sample
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}/images
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"count": 20,
"images": [
{
"created_at": "2024-08-15T13:05:09.701645823+09:00",
"id": "5b5ed4f2881a440583536fc1a8c39a28",
"modified_at": "2024-08-16T16:06:09.701645823+09:00",
"name": "sample",
"private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817",
"public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817",
"pull_count": 20,
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"repository_id": "e5611ca6c1484df480668c5adce8b078",
"state": "Active"
}
]
}
1.14 - List Registries
1.14.1 - 1.1
get /v1/container-registries
Description
get registries
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | name optional | Registry name Example : sample
| any of [string, null] | None |
| query | state optional | Registry state Example : Running
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/container-registries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"count": 20,
"registries": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"bucket_name": "4663afe94e7c4a2099968d90064ce218.scr.{region}.zgpsrpup",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
"public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
"public_visible_enabled": true,
"state": "Running"
}
]
}
1.14.2 - 1.0
get /v1/container-registries
Description
get registries
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | name optional | Registry name Example : sample
| any of [string, null] | None |
| query | state optional | Registry state Example : Running
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/container-registries
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"count": 20,
"registries": [
{
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"bucket_name": "4663afe94e7c4a2099968d90064ce218.scr.{region}.zgpsrpup",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
"public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
"public_visible_enabled": true,
"state": "Running"
}
]
}
1.15 - List Repositories
1.15.1 - 1.1
get /v1/container-registries/{registry_id}/repositories
Description
get repositories
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | name optional | Repository name Example : sample
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | RepositoryListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/repositories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"count": 20,
"repositories": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"state": "Active"
}
]
}
1.15.2 - 1.0
get /v1/container-registries/{registry_id}/repositories
Description
get repositories
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | name optional | Repository name Example : sample
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | RepositoryListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/repositories
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"count": 20,
"repositories": [
{
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"state": "Active"
}
]
}
1.16 - List Tagses
1.16.1 - 1.1
get /v1/images/{image_id}/tagses
Description
get tagses
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | reference_tags optional | List of tags in reference Example : ["sample"]
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TagsListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/tagses
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"count": 10,
"tagses": [
{
"hash_digest": "",
"id": "b48210c7a226460fa15b6e3e221b30b0",
"last_scanned_at": "2024-08-15T13:05:09.701645823+09:00",
"lock_policy": {
"locked": true
},
"modified_at": "2024-08-16T16:06:09.701645823+09:00",
"private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
"public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
"re_scan_needed": true,
"reference_tags": "[\"sample\"]",
"referenced_by": "",
"scan_state": "Scanning state",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
},
"size": 10,
"state": "Active"
}
]
}
1.16.2 - 1.0
get /v1/images/{image_id}/tagses
Description
get tagses
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | reference_tags optional | List of tags in reference Example : ["sample"]
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TagsListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/tagses
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"count": 10,
"tagses": [
{
"hash_digest": "",
"id": "b48210c7a226460fa15b6e3e221b30b0",
"last_scanned_at": "2024-08-15T13:05:09.701645823+09:00",
"lock_policy": {
"locked": true
},
"modified_at": "2024-08-16T16:06:09.701645823+09:00",
"private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
"public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
"re_scan_needed": true,
"reference_tags": "[\"sample\"]",
"referenced_by": "",
"scan_state": "Scanning state",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
},
"size": 10,
"state": "Active"
}
]
}
1.17 - Run Image Lifecycle Policy Preview
1.17.1 - 1.1
post /v1/images/{image_id}/lifecycle-policy/preview
Description
Run Image Lifecycle Policy Preview
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/lifecycle-policy/preview
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
1.17.2 - 1.0
post /v1/images/{image_id}/lifecycle-policy/preview
Description
Run Image Lifecycle Policy Preview
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/lifecycle-policy/preview
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
1.18 - Show Image
1.18.1 - 1.1
get /v1/images/{image_id}
Description
get image
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageShowResponseV1_1 |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"image": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Carpe diem.",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"outdated_rule_tag_expression": "*",
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
},
"lock_policy": {
"locked": true
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"pull_count": 100,
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
},
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"repository_id": "e5611ca6c1484df480668c5adce8b078",
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
},
"state": "Active"
}
}
1.18.2 - 1.0
get /v1/images/{image_id}
Description
get image
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | ImageShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"image": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Carpe diem.",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
},
"lock_policy": {
"locked": true
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"pull_count": 100,
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
},
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"repository_id": "e5611ca6c1484df480668c5adce8b078",
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
},
"state": "Active"
}
}
1.19 - Show Image Lifecycle Policy Preview
1.19.1 - 1.1
get /v1/images/{image_id}/lifecycle-policy/preview
Description
show image lifecycle policy preview
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | reference_tags optional | List of tags in reference Example : ["sample"]
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/images/{image_id}/lifecycle-policy/preview
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"count": 20,
"outdated_rule_duration": 10,
"outdated_rule_enabled": true,
"outdated_rule_tag_expression": "*",
"preview_run_at": "2024-08-15T13:05:09.701645823+09:00",
"preview_run_state": "Active",
"previews": [
{
"created_at": "2024-08-15T13:05:09.701645823+09:00",
"hash_digest": "",
"reference_tags": "[\"sample\"]",
"state": "Active"
}
],
"untagged_rule_duration": 10,
"untagged_rule_enabled": true
}
1.19.2 - 1.0
get /v1/images/{image_id}/lifecycle-policy/preview
Description
show image lifecycle policy preview
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | reference_tags optional | List of tags in reference Example : ["sample"]
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TagsListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/lifecycle-policy/preview
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"count": 10,
"tagses": [
{
"hash_digest": "",
"id": "b48210c7a226460fa15b6e3e221b30b0",
"last_scanned_at": "2024-08-15T13:05:09.701645823+09:00",
"lock_policy": {
"locked": true
},
"modified_at": "2024-08-16T16:06:09.701645823+09:00",
"private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
"public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo/sample_20240817@sha256:1234...abcd",
"re_scan_needed": true,
"reference_tags": "[\"sample\"]",
"referenced_by": "",
"scan_state": "Scanning state",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
},
"size": 10,
"state": "Active"
}
]
}
1.20 - Show Registry
1.20.1 - 1.1
get /v1/container-registries/{registry_id}
Description
get registry
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
Responses
Example HTTP request
Request path
/v1/container-registries/{registry_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"registry": {
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"bucket_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"bucket_name": "4663afe94e7c4a2099968d90064ce218.scr.{region}.zgpsrpup",
"bucket_usage": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"private_acl_enabled": true,
"private_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
"public_acl_enabled": true,
"public_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
"public_endpoint_enabled": true,
"public_visible_enabled": true,
"state": "Running"
}
}
1.20.2 - 1.0
get /v1/container-registries/{registry_id}
Description
get registry
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
Responses
Example HTTP request
Request path
/v1/container-registries/{registry_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"registry": {
"account_id": "617b3d0e90c24a5fa1f65a3824861354",
"bucket_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"bucket_name": "4663afe94e7c4a2099968d90064ce218.scr.{region}.zgpsrpup",
"bucket_usage": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"private_acl_enabled": true,
"private_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
"public_acl_enabled": true,
"public_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
],
"public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
"public_endpoint_enabled": true,
"public_visible_enabled": true,
"state": "Running"
}
}
1.21 - Show Repository
1.21.1 - 1.1
get /v1/repositories/{repository_id}
Description
get repository
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
Responses
Example HTTP request
Request path
/v1/repositories/{repository_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"repository": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Carpe diem.",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"outdated_rule_tag_expression": "*",
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
},
"lock_policy": {
"locked": true
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo",
"public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo",
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
},
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
},
"state": "Active"
}
}
1.21.2 - 1.0
get /v1/repositories/{repository_id}
Description
get repository
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | RepositoryShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"repository": {
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Carpe diem.",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
},
"lock_policy": {
"locked": true
},
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "sample",
"private_endpoint_url": "sample.scr.private.{region}.{environment}.samsungsdscloud.com:30748/sample-repo",
"public_endpoint_url": "sample.scr.{region}.{environment}.samsungsdscloud.com:30748/sample-repo",
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
},
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
},
"state": "Active"
}
}
1.22 - Show Tags
1.22.1 - 1.1
get /v1/tagses/{tags_id}
Description
get tags
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TagsShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"tags": {
"created_at": "2024-08-15T13:05:09.701645823+09:00",
"hash_digest": "",
"id": "b48210c7a226460fa15b6e3e221b30b0",
"image_id": "5b5ed4f2881a440583536fc1a8c39a28",
"lock_policy": {
"locked": true
},
"manifest": "",
"manifest_media_type": "",
"modified_at": "2024-08-16T16:06:09.701645823+09:00",
"reference_tags": "[\"sample\"]",
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"repository_id": "e5611ca6c1484df480668c5adce8b078",
"state": "Active"
}
}
1.22.2 - 1.0
get /v1/tagses/{tags_id}
Description
get tags
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | TagsShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"tags": {
"created_at": "2024-08-15T13:05:09.701645823+09:00",
"hash_digest": "",
"id": "b48210c7a226460fa15b6e3e221b30b0",
"image_id": "5b5ed4f2881a440583536fc1a8c39a28",
"lock_policy": {
"locked": true
},
"manifest": "",
"manifest_media_type": "",
"modified_at": "2024-08-16T16:06:09.701645823+09:00",
"reference_tags": "[\"sample\"]",
"registry_id": "rpqtmqgec3174541bbf77eecf2cd3585",
"repository_id": "e5611ca6c1484df480668c5adce8b078",
"state": "Active"
}
}
1.23 - Show Tags Packages
1.23.1 - 1.1
get /v1/tagses/{tags_id}/packages
Description
get tags packages
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| query | os_language optional | OS or language Example : Java
| any of [string, null] | None |
| query | package_name optional | Package name Example : com.example.sample
| any of [string, null] | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PackageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/packages
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"filtered_count": 30,
"last_scanned_at": "2024-08-15T13:05:09.701645823+09:00",
"package_reports": [
{
"category": "Language",
"os_language": "Java",
"package_name": "com.example.sample",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
},
"type": "os-pkg(binary)",
"version": "0.7.2-r3"
}
],
"package_reports_count": 30,
"release_version": "alpine:3.14.10",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
}
}
1.23.2 - 1.0
get /v1/tagses/{tags_id}/packages
Description
get tags packages
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| query | os_language optional | OS or language Example : Java
| any of [string, null] | None |
| query | package_name optional | Package name Example : com.example.sample
| any of [string, null] | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | PackageListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/packages
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"filtered_count": 30,
"last_scanned_at": "2024-08-15T13:05:09.701645823+09:00",
"package_reports": [
{
"category": "Language",
"os_language": "Java",
"package_name": "com.example.sample",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
},
"type": "os-pkg(binary)",
"version": "0.7.2-r3"
}
],
"package_reports_count": 30,
"release_version": "alpine:3.14.10",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
}
}
1.24 - Show Tags Secrets
1.24.1 - 1.1
get /v1/tagses/{tags_id}/secrets
Description
get tags secrets
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | file_name optional | Secret file name Example : /certs/sample-key1.key
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SecretListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/secrets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"filtered_count": 30,
"last_scanned_at": "2024-08-16T16:06:09.701645823+09:00",
"release_version": "alpine:3.14.10",
"secret_reports": [
{
"category": "Language",
"file_name": "/certs/sample-key1.key",
"match": "-----BEGIN SAMPLE KEY-----*********************...",
"rule_id": "private-key",
"severity": "High",
"start_line": 1,
"target": "/certs/sample-key1.key",
"title": "Asymmetric Private Key",
"vulnerability_class": "secret"
}
],
"secret_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"total_secret": 50,
"unknown": 10
}
}
1.24.2 - 1.0
get /v1/tagses/{tags_id}/secrets
Description
get tags secrets
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | file_name optional | Secret file name Example : /certs/sample-key1.key
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | SecretListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/secrets
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"filtered_count": 30,
"last_scanned_at": "2024-08-16T16:06:09.701645823+09:00",
"release_version": "alpine:3.14.10",
"secret_reports": [
{
"category": "Language",
"file_name": "/certs/sample-key1.key",
"match": "-----BEGIN SAMPLE KEY-----*********************...",
"rule_id": "private-key",
"severity": "High",
"start_line": 1,
"target": "/certs/sample-key1.key",
"title": "Asymmetric Private Key",
"vulnerability_class": "secret"
}
],
"secret_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"total_secret": 50,
"unknown": 10
}
}
1.25 - Show Tags Vulnerabilities
1.25.1 - 1.1
get /v1/tagses/{tags_id}/vulnerabilities
Description
get tags vulnerabilities
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| query | os_language optional | OS or language Example : Java
| any of [string, null] | None |
| query | package_name optional | Package name Example : com.example.sample
| any of [string, null] | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | update_version_available optional | Updated version Example : True
| any of [boolean, null] | None |
| query | severity optional | Severity Example : High
| any of [array[string], string, null] | None |
| query | category optional | Category Example : Language
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VulnerabilityListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/vulnerabilities
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Example HTTP response
Response 200
{
"filtered_count": 30,
"vector_info": {
"attack_complexity": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"attack_vector": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"availability": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"confidentiality": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"integrity": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"privileges_required": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"scope": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"user_interaction": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
]
},
"vulnerability_report": {
"cves": [
{
"category": "Language",
"current_version": "2.9.9.1",
"cve_code": "CVE-2019-1454",
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"links": "https://nvd.nist.gov/vuln/detail/CVE-2019-1454",
"os_language": "Java",
"package_name": "com.example.sample",
"severity": "High",
"update_version": "2.9.10, 2.8.11.5, 2.6.7.3",
"vectors": {
"attack_complexity": "High",
"attack_vector": "NETWORK",
"availability": "High",
"base_severity": "",
"confidentiality": "High",
"cvss": 9.8,
"integrity": "High",
"privileges_required": "Low",
"scope": "",
"user_interaction": "Low"
}
}
],
"last_scanned_at": "2024-08-16T16:06:09.701645823+09:00",
"release_version": "alpine:3.14.10",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
}
}
}
1.25.2 - 1.0
get /v1/tagses/{tags_id}/vulnerabilities
Description
get tags vulnerabilities
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | tags_id required | Tags ID Example : b48210c7a226460fa15b6e3e221b30b0
| string | None |
| query | os_language optional | OS or language Example : Java
| any of [string, null] | None |
| query | package_name optional | Package name Example : com.example.sample
| any of [string, null] | None |
| query | sort optional | sort Example : name:asc
| any of [string, null] | None |
| query | page optional | page Example : 0
| any of [integer, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | None |
| query | update_version_available optional | Updated version Example : True
| any of [boolean, null] | None |
| query | severity optional | Severity Example : High
| any of [array[string], string, null] | None |
| query | category optional | Category Example : Language
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | VulnerabilityListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/tagses/{tags_id}/vulnerabilities
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Example HTTP response
Response 200
{
"filtered_count": 30,
"vector_info": {
"attack_complexity": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"attack_vector": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"availability": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"confidentiality": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"integrity": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"privileges_required": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"scope": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
],
"user_interaction": [
{
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"level": "1",
"metric": "Physical"
}
]
},
"vulnerability_report": {
"cves": [
{
"category": "Language",
"current_version": "2.9.9.1",
"cve_code": "CVE-2019-1454",
"description": "A Polymorphic Typing issue was discovered in FasterXML.",
"links": "https://nvd.nist.gov/vuln/detail/CVE-2019-1454",
"os_language": "Java",
"package_name": "com.example.sample",
"severity": "High",
"update_version": "2.9.10, 2.8.11.5, 2.6.7.3",
"vectors": {
"attack_complexity": "High",
"attack_vector": "NETWORK",
"availability": "High",
"base_severity": "",
"confidentiality": "High",
"cvss": 9.8,
"integrity": "High",
"privileges_required": "Low",
"scope": "",
"user_interaction": "Low"
}
}
],
"last_scanned_at": "2024-08-16T16:06:09.701645823+09:00",
"release_version": "alpine:3.14.10",
"scan_summary": {
"critical": 10,
"high": 10,
"low": 10,
"medium": 10,
"negligible": 10,
"total_vulnerability": 60,
"unknown": 10
}
}
}
1.26 - Update Image Description
1.26.1 - 1.1
put /v1/images/{image_id}/description
Description
update image description
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| ImageSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/description
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"description": "Carpe diem."
}
Example HTTP response
Response 200
1.26.2 - 1.0
put /v1/images/{image_id}/description
Description
update image description
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| ImageSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/description
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"description": "Carpe diem."
}
Example HTTP response
Response 200
1.27 - Update Image Lifecycle Policy
1.27.1 - 1.1
put /v1/images/{image_id}/lifecycle-policy
Description
update image lifecycle-policy
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| LifecyclePolicySetRequestV1_1 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/lifecycle-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"outdated_rule_tag_expression": "*",
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
}
}
Example HTTP response
Response 200
1.27.2 - 1.0
put /v1/images/{image_id}/lifecycle-policy
Description
update image lifecycle-policy
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| LifecyclePolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/lifecycle-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
}
}
Example HTTP response
Response 200
1.28 - Update Image Lock Policy
1.28.1 - 1.1
put /v1/images/{image_id}/lock-policy
Description
update image lock-policy
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| LockPolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/lock-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"lock_policy": {
"locked": true
}
}
Example HTTP response
Response 200
1.28.2 - 1.0
put /v1/images/{image_id}/lock-policy
Description
update image lock-policy
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| LockPolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/lock-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"lock_policy": {
"locked": true
}
}
Example HTTP response
Response 200
1.29 - Update Image Pull Policy
1.29.1 - 1.1
put /v1/images/{image_id}/pull-policy
Description
update image pull-policy
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| PullPolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/pull-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
}
}
Example HTTP response
Response 200
1.29.2 - 1.0
put /v1/images/{image_id}/pull-policy
Description
update image pull-policy
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| PullPolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/pull-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
}
}
Example HTTP response
Response 200
1.30 - Update Image Scan Policy
1.30.1 - 1.1
put /v1/images/{image_id}/scan-policy
Description
update image scan-policy
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| ScanPolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/scan-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
}
}
Example HTTP response
Response 200
1.30.2 - 1.0
put /v1/images/{image_id}/scan-policy
Description
update image scan-policy
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | image_id required | Image ID Example : 5b5ed4f2881a440583536fc1a8c39a28
| string | None |
| body | body required |
| ScanPolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/scan-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"scan_policy": {
"auto_scan_enabled": true,
"fixed_version_excepted": true,
"language_excepted": true,
"scan_policy_enabled": true,
"secret_excepted": true,
"severity_limit": "High"
}
}
Example HTTP response
Response 200
1.31 - Update Private Acl
1.31.1 - 1.1
put /v1/container-registries/{registry_id}/private-acl
Description
update private acl
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| body | body required |
| PrivateAclSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/private-acl
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"private_acl_enabled": true,
"private_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
]
}
Example HTTP response
Response 200
1.31.2 - 1.0
put /v1/container-registries/{registry_id}/private-acl
Description
update private acl
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| body | body required |
| PrivateAclSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/private-acl
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"private_acl_enabled": true,
"private_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
]
}
Example HTTP response
Response 200
1.32 - Update Public Acl
1.32.1 - 1.1
put /v1/container-registries/{registry_id}/public-acl
Description
update public acl
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| body | body required |
| PublicAclSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/public-acl
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"public_acl_enabled": true,
"public_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
]
}
Example HTTP response
Response 200
1.32.2 - 1.0
put /v1/container-registries/{registry_id}/public-acl
Description
update public acl
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| body | body required |
| PublicAclSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/public-acl
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"public_acl_enabled": true,
"public_acl_resources": [
{
"resource_id": "558496f6c49d43459e61e191fb3c08fe",
"resource_ips": "[]",
"resource_name": "sample",
"resource_type": "virtualServer"
}
]
}
Example HTTP response
Response 200
1.33 - Update Public Endpoint Enabled
1.33.1 - 1.1
put /v1/container-registries/{registry_id}/enable-public-endpoint
Description
update public endpoint enabled
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| body | body required |
| PublicEndpointEnabledSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/enable-public-endpoint
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"public_endpoint_enabled": true
}
Example HTTP response
Response 200
1.33.2 - 1.0
put /v1/container-registries/{registry_id}/enable-public-endpoint
Description
update public endpoint enabled
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | registry_id required | Registry ID Example : rpqtmqgec3174541bbf77eecf2cd3585
| string | None |
| body | body required |
| PublicEndpointEnabledSetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/container-registries/{registry_id}/enable-public-endpoint
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"public_endpoint_enabled": true
}
Example HTTP response
Response 200
1.34 - Update Repository Description
1.34.1 - 1.1
put /v1/repositories/{repository_id}/description
Description
update repository description
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
| body | body required |
| RepositorySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}/description
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"description": "Carpe diem."
}
Example HTTP response
Response 200
1.34.2 - 1.0
put /v1/repositories/{repository_id}/description
Description
update repository description
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
| body | body required |
| RepositorySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}/description
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"
Request body
{
"description": "Carpe diem."
}
Example HTTP response
Response 200
1.35 - Update Repository Lifecycle Policy
1.35.1 - 1.1
put /v1/repositories/{repository_id}/lifecycle-policy
Description
update repository lifecycle-policy
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
| body | body required |
| LifecyclePolicySetRequestV1_1 | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}/lifecycle-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"lifecycle_policy": {
"lifecycle_policy_enabled": true,
"outdated_rule_duration": 90,
"outdated_rule_enabled": true,
"outdated_rule_tag_expression": "*",
"untagged_rule_duration": 90,
"untagged_rule_enabled": true
}
}
Example HTTP response
Response 200
1.35.2 - 1.0
put /v1/repositories/{repository_id}/lifecycle-policy
Description
update repository lifecycle-policy
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078
| string | None |
| body | body required |
| LifecyclePolicySetRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}/lifecycle-policy
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
[...]
